XScreenSaver(1)

NAME
noseguy - a little guy with a big nose wanders around being witty

SYNOPSIS
noseguy [-display host:display.screen] [-foreground color] [-background color] [-text-foreground color] [-text-background color] [-font font] [-window] [-root] [-install] [-visual visual] [-mode mode] [-program program] [-filename le] [-text text]

DESCRIPTION
A little man with a big nose and a hat runs around spewing out messages to the screen. This code (and its bitmaps) were extracted from the xnlock program.

OPTIONS
noseguy accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-font font
    The font used for the messages.

-mode [ program | file | string ]
    In program mode, the messages are gotten by running a program. The program used is controlled by the -program option, and the .program resource. In filename mode, the message used is the contents of a file. The file used is controlled by the -file option, and the .filename resource. In string mode, the message is whatever was specified on the command line as the -text option, or in the resource database as the .text resource.

-program program
    If mode is program (the default), then this program will be run periodically, and its output will be the text of the messages. The default program is "fortune -s", but yow is also a good choice.

-filename file
    If mode is file, then the contents of this file will be used for all messages.

-text string
    If mode is string, then this text will be used for all messages.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xnlock(1)

COPYRIGHT
Copyright 1985, 1990 by Dan Heller <argv@danheller.com>.

AUTHOR
Dan Heller <argv@danheller.com>, 1985. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 13-aug-92.